package com.ziplinegreen.vault.Service;

import com.ziplinegreen.vault.Controller.PostController;
import com.ziplinegreen.vault.Exception.ResourceNotFoundException;
import com.ziplinegreen.vault.Model.Post;
import com.ziplinegreen.vault.Model.User;
import com.ziplinegreen.vault.Repository.UsersRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.server.ResponseStatusException;

import javax.xml.ws.Response;
import java.util.List;

@Service
public class UserService {

    @Autowired
    private UsersRepository userRepository;
    //private PostController postController;

    @Autowired
    public UserService(UsersRepository userRepository) {
        this.userRepository = userRepository;
    }

    public User createUser(User user){
        return userRepository.save(user);
    }

    public User findUserById(Long id){
        return userRepository.findById(id).get();
    }

    public User updateUsername(Long userId, String username){
        User user = findUserById(userId);
        user.setUsername(username);
        return userRepository.save(user);
    }

    public ResponseEntity deleteUser(Long id){
        userRepository.delete(userRepository.findById(id).get());
        return new ResponseEntity(HttpStatus.OK);
    }

//    public ResponseEntity<User> updatePosts(Long userId, Post post) {
//        User user = findUserById(userId).getBody();
//        List<Post> posts = user.getPosts();
//        posts.add(post);
//        return new ResponseEntity<>(userRepository.save(user), HttpStatus.OK);
//    }
}


